aboutsummaryrefslogtreecommitdiffstats
path: root/x11/xgamma/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-04-09 19:54:20 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-04-09 19:54:20 +0000
commitea9ed732d364faf92083fb3c06dddb9651234275 (patch)
treebd6c47bd93b350ada6afb464aeab0627ee8ae81e /x11/xgamma/APKBUILD
parentb0830b40592bc7c808cf5bceb5519360ef0b6322 (diff)
downloadaports-ea9ed732d364faf92083fb3c06dddb9651234275.tar.gz
aports-ea9ed732d364faf92083fb3c06dddb9651234275.tar.bz2
aports-ea9ed732d364faf92083fb3c06dddb9651234275.tar.xz
x11/xgamma: new aport
Alter a monitor's gamma correction through the X server
Diffstat (limited to 'x11/xgamma/APKBUILD')
-rw-r--r--x11/xgamma/APKBUILD20
1 files changed, 20 insertions, 0 deletions
diff --git a/x11/xgamma/APKBUILD b/x11/xgamma/APKBUILD
new file mode 100644
index 0000000000..583dceb498
--- /dev/null
+++ b/x11/xgamma/APKBUILD
@@ -0,0 +1,20 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xgamma
+pkgver=1.0.2
+pkgrel=0
+pkgdesc="Alter a monitor's gamma correction through the X server"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-doc"
+depends="uclibc libx11 libxxf86vm"
+makedepends="pkgconfig libx11-dev libxxf86vm-dev"
+source="http://xorg.freedesktop.org/releases/individual/app/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr --mandir=/usr/share/man || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="f13ddedaa63a608d3b025d326f4f5b5d xgamma-1.0.2.tar.bz2"